GET /channels

ably.io:platform

Summary: Enumerate all active channels of the application
Operation ID: getMetadataOfAllChannels
Auth: unknown
Description

Enumerate all active channels of the application

Parameters (5)

X-Ably-Version (string, header, optional)

The version of the API you wish to use.

by (string, query, optional)

optionally specifies whether to return just channel names (by=id) or ChannelDetails (by=value)

Constraints: {'enum': ['value', 'id']}

format (string, query, optional)

The response format you would like

Constraints: {'enum': ['json', 'jsonp', 'msgpack', 'html']}

limit (integer, query, optional, default: 100)
prefix (string, query, optional)

Optionally limits the query to only those channels whose name starts with the given prefix

No probe data for this endpoint yet.